# OpenLayers.Layer.Yahoo

#### Inherits from

- OpenLayers.Layer.EventPane
- OpenLayers.Layer.FixedZoomLevels

Summary

OpenLayers.Layer.Yahoo |
Constants |
MIN_ZOOM_LEVEL | {Integer} 0
MAX_ZOOM_LEVEL | {Integer} 17
RESOLUTIONS | {Array(Float)} Hardcode these resolutions so that they are more closely tied with the standard wms projection
Properties |
type | {YahooMapType}
wrapDateLine | {Boolean} Allow user to pan forever east/west.
sphericalMercator | {Boolean} Should the map act as a mercator-projected map?
Constructor |
OpenLayers.Layer.Yahoo |
Functions |
loadMapObject |
onMapResize |
setMap | Overridden from EventPane because we need to remove this yahoo event pane which prohibits our drag and drop, and we can only do this once the map has been loaded and centered.
fixYahooEventPane | The map has been centered, so the mysterious yahoo eventpane has been added.
getWarningHTML | {String} String with information on why layer is broken, how to get it working.
getOLZoomFromMapObjectZoom |
getMapObjectZoomFromOLZoom |
setMapObjectCenter | Set the mapObject to the specified center and zoom
getMapObjectCenter | {Object} The mapObject’s current center in Map Object format
dragPanMapObject |
getMapObjectZoom | {Integer} The mapObject’s current zoom, in Map Object format
getMapObjectLonLatFromMapObjectPixel |
getMapObjectPixelFromMapObjectLonLat |
getLongitudeFromMapObjectLonLat |
getLatitudeFromMapObjectLonLat |
getMapObjectLonLatFromLonLat |
getXFromMapObjectPixel |
getYFromMapObjectPixel |
getMapObjectPixelFromXY |
getMapObjectSizeFromOLSize |

### Constants

### MIN_ZOOM_LEVEL

{Integer} 0

### MAX_ZOOM_LEVEL

{Integer} 17

### RESOLUTIONS

{Array(Float)} Hardcode these resolutions so that they are more closely tied with the standard wms projection

### Properties

### type

{YahooMapType}

### wrapDateLine

{Boolean} Allow user to pan forever east/west. Default is true. Setting this to false only restricts panning if sphericalMercator is true.

### sphericalMercator

{Boolean} Should the map act as a mercator-projected map? This will cause all interactions with the map to be in the actual map projection, which allows support for vector drawing, overlaying other maps, etc.

### Constructor

### OpenLayers.Layer.Yahoo

#### Parameters

name | {String}
options | {Object}

### Functions

### loadMapObject

> loadMapObject:function()

### onMapResize

> onMapResize: function()

### setMap

> setMap: function( | map | )

Overridden from EventPane because we need to remove this yahoo event pane which prohibits our drag and drop, and we can only do this once the map has been loaded and centered.

#### Parameters

map | {OpenLayers.Map}

### fixYahooEventPane

> fixYahooEventPane: function()

The map has been centered, so the mysterious yahoo eventpane has been added. we remove it so that it doesnt mess with our event pane.

### getWarningHTML

> getWarningHTML:function()

#### Returns

{String} String with information on why layer is broken, how to get it working.

### getOLZoomFromMapObjectZoom

> getOLZoomFromMapObjectZoom: function( | moZoom | )

#### Parameters

gZoom | {Integer}

#### Returns

{Integer} An OpenLayers Zoom level, translated from the passed in gZoom Returns null if null value is passed in.

### getMapObjectZoomFromOLZoom

> getMapObjectZoomFromOLZoom: function( | olZoom | )

#### Parameters

olZoom | {Integer}

#### Returns

{Integer} A MapObject level, translated from the passed in olZoom Returns null if null value is passed in

### setMapObjectCenter

> setMapObjectCenter: function( | center,
> | zoom | )

Set the mapObject to the specified center and zoom

#### Parameters

center | {Object} MapObject LonLat format
zoom | {int} MapObject zoom format

### getMapObjectCenter

> getMapObjectCenter: function()

#### Returns

{Object} The mapObject’s current center in Map Object format

### dragPanMapObject

> dragPanMapObject: function( | dX,
> | dY | )

#### Parameters

dX | {Integer}
dY | {Integer}

### getMapObjectZoom

> getMapObjectZoom: function()

#### Returns

{Integer} The mapObject’s current zoom, in Map Object format

### getMapObjectLonLatFromMapObjectPixel

> getMapObjectLonLatFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Object} MapObject LonLat translated from MapObject Pixel

### getMapObjectPixelFromMapObjectLonLat

> getMapObjectPixelFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Object} MapObject Pixel transtlated from MapObject LonLat

### getLongitudeFromMapObjectLonLat

> getLongitudeFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Float} Longitude of the given MapObject LonLat

### getLatitudeFromMapObjectLonLat

> getLatitudeFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Float} Latitude of the given MapObject LonLat

### getMapObjectLonLatFromLonLat

> getMapObjectLonLatFromLonLat: function( | lon,
> | lat | )

#### Parameters

lon | {Float}
lat | {Float}

#### Returns

{Object} MapObject LonLat built from lon and lat params

### getXFromMapObjectPixel

> getXFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Integer} X value of the MapObject Pixel

### getYFromMapObjectPixel

> getYFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Integer} Y value of the MapObject Pixel

### getMapObjectPixelFromXY

> getMapObjectPixelFromXY: function( | x,
> | y | )

#### Parameters

x | {Integer}
y | {Integer}

#### Returns

{Object} MapObject Pixel from x and y parameters

### getMapObjectSizeFromOLSize

> getMapObjectSizeFromOLSize: function( | olSize | )

#### Parameters

olSize | {OpenLayers.Size}

#### Returns

{Object} MapObject Size from olSize parameter

> loadMapObject:function()

> onMapResize: function()

> setMap: function( | map | )

Overridden from EventPane because we need to remove this yahoo event pane which prohibits our drag and drop, and we can only do this once the map has been loaded and centered.

> fixYahooEventPane: function()

The map has been centered, so the mysterious yahoo eventpane has been added.

> getWarningHTML:function()

{String} String with information on why layer is broken, how to get it working.

> getOLZoomFromMapObjectZoom: function( | moZoom | )

> getMapObjectZoomFromOLZoom: function( | olZoom | )

> setMapObjectCenter: function( | center,
> | zoom | )

Set the mapObject to the specified center and zoom

> getMapObjectCenter: function()

{Object} The mapObject’s current center in Map Object format

> dragPanMapObject: function( | dX,
> | dY | )

> getMapObjectZoom: function()

{Integer} The mapObject’s current zoom, in Map Object format

> getMapObjectLonLatFromMapObjectPixel: function( | moPixel | )

> getMapObjectPixelFromMapObjectLonLat: function( | moLonLat | )

> getLongitudeFromMapObjectLonLat: function( | moLonLat | )

> getLatitudeFromMapObjectLonLat: function( | moLonLat | )

> getMapObjectLonLatFromLonLat: function( | lon,
> | lat | )

> getXFromMapObjectPixel: function( | moPixel | )

> getYFromMapObjectPixel: function( | moPixel | )

> getMapObjectPixelFromXY: function( | x,
> | y | )

> getMapObjectSizeFromOLSize: function( | olSize | )

Base class for 3rd party layers.
Some Layers will already have established zoom levels (like google or ve).
{Boolean} Should the map act as a mercator-projected map?
Instances of OpenLayers.Map are interactive maps embedded in a web page.
Instances of this class represent a width/height pair
Close